al_destroy_sample(3)

NAME

al_destroy_sample - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_destroy_sample(ALLEGRO_SAMPLE *spl)

DESCRIPTION

Free the sample data structure. If it was created with the free_buf parameter set to true, then the buffer will be freed with al_free(3).

This function will stop any sample instances which may be playing the buffer referenced by the ALLEGRO_SAMPLE(3).

SEE ALSO

al_destroy_sample_instance(3), al_stop_sample(3), al_stop_samples(3)